unit startprogrammu1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, ComCtrls,
  Buttons, Menus, DBCtrls, StdCtrls, ZConnection, ZDataset, stammdaten, DB,
  frmnavverwaltung;

type

  { TMainForm1 }

  TMainForm1 = class(TForm)
    DataSource1Stammdaten: TDataSource;
    LBLLogoImage: TImage;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    Image5: TImage;
    Image6: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    LBLLogoText: TLabel;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    PSubNavigation: TPanel;
    PMainFormContent: TPanel;
    ZConnection1: TZConnection;
    ZQuery1Stammdaten: TZQuery;
    procedure FormShow(Sender: TObject);
    procedure Image2Click(Sender: TObject);
    procedure Image2MouseEnter(Sender: TObject);
    procedure Image2MouseLeave(Sender: TObject);
    procedure Image3Click(Sender: TObject);
    procedure Image3MouseEnter(Sender: TObject);
    procedure Image3MouseLeave(Sender: TObject);
    procedure Image4Click(Sender: TObject);
    procedure Image4MouseEnter(Sender: TObject);
    procedure Image4MouseLeave(Sender: TObject);
    procedure Image5MouseEnter(Sender: TObject);
    procedure Image5MouseLeave(Sender: TObject);
    procedure Label3Click(Sender: TObject);
    procedure Panel1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Panel1MouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer
      );
    procedure Panel1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Panel2Click(Sender: TObject);
    procedure Panel2MouseEnter(Sender: TObject);
    procedure Panel2MouseLeave(Sender: TObject);
    procedure Panel3Click(Sender: TObject);
    procedure Panel3MouseEnter(Sender: TObject);
    procedure Panel3MouseLeave(Sender: TObject);
    procedure Panel4Click(Sender: TObject);
    procedure Panel4MouseEnter(Sender: TObject);
    procedure Panel4MouseLeave(Sender: TObject);
    procedure Panel5MouseEnter(Sender: TObject);
    procedure Panel5MouseLeave(Sender: TObject);
    procedure ZConnection1AfterConnect(Sender: TObject);
  private
    procedure HeaderLogoCenter;
  public
    procedure giveFrameFree;
    procedure giveNavFrameFree;
    procedure ShowStammdaten;
  end;

var
  MainForm1: TMainForm1;
  MousePress: boolean;
  verschiebey,verschiebex : integer;
  intScreenMode : integer;

implementation

{$R *.lfm}

{ TMainForm1 }
procedure TmainForm1.ShowStammdaten;
var
  FrmStammdaten : TFrame;
begin
  // Alle Frames freigeben,
  giveFrameFree;

  // Frame aufrufen.
  FrmStammdaten := TFrame1.Create(Self);
  FrmStammdaten.Parent := PMainFormContent;
  FrmStammdaten.Top := 0;
  FrmStammdaten.left := 0;
  FrmStammdaten.name := 'Stammdaten';
end;

procedure TMainForm1.Panel1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
      if MousePress=True then
      begin
         MainForm1.Left:=Mouse.CursorPos.X - verschiebex;
         MainForm1.Top:=Mouse.CursorPos.Y - verschiebey;
      end;
end;

procedure TMainForm1.Panel1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
    MousePress:=False;
end;

procedure TMainForm1.Panel2Click(Sender: TObject);
begin
  MainForm1.close;
end;

procedure TMainForm1.Panel2MouseEnter(Sender: TObject);
begin
  panel2.color := clRed;
end;

procedure TMainForm1.Panel2MouseLeave(Sender: TObject);
begin
  panel2.color := TColor($00333333);
end;

procedure TMainForm1.Panel3Click(Sender: TObject);
begin
    if intScreenMode = 1 then
  begin
      WindowState := wsFullScreen;
      HeaderLogoCenter;
      intScreenMode := 0;
  end else
  begin
      WindowState := wsNormal;
      HeaderLogoCenter;
      intScreenMode := 1;
  end;
end;

procedure TMainForm1.Panel3MouseEnter(Sender: TObject);
begin
  panel3.color := TColor($00626262);
end;

procedure TMainForm1.Panel3MouseLeave(Sender: TObject);
begin
  panel3.color := TColor($00333333);
end;

procedure TMainForm1.Panel4Click(Sender: TObject);
begin
  WindowState := wsMinimized;
  HeaderLogoCenter;
end;

procedure TMainForm1.Panel4MouseEnter(Sender: TObject);
begin
  panel4.color := TColor($00626262);
end;

procedure TMainForm1.Panel4MouseLeave(Sender: TObject);
begin
  panel4.color := TColor($00333333);
end;

procedure TMainForm1.Panel5MouseEnter(Sender: TObject);
begin
   panel5.color := TColor($00626262);
end;

procedure TMainForm1.Panel5MouseLeave(Sender: TObject);
begin
    panel5.color := TColor($00333333);
end;

procedure TMainForm1.ZConnection1AfterConnect(Sender: TObject);
begin

end;

procedure TMainForm1.Panel1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
   MousePress:=true;
   verschiebey := y;
   verschiebex :=x
end;

procedure TMainForm1.Image2Click(Sender: TObject);
begin
  MainForm1.close;
end;

procedure TMainForm1.FormShow(Sender: TObject);
begin
   intScreenMode := 1;
   WindowState := wsNormal;
end;

procedure TMainForm1.Image2MouseEnter(Sender: TObject);
begin
  panel2.color := clRed;
end;

procedure TMainForm1.Image2MouseLeave(Sender: TObject);
begin
  panel2.color := TColor($00333333);
end;

procedure TMainForm1.Image3Click(Sender: TObject);
begin
  if intScreenMode = 1 then
  begin
      WindowState := wsFullScreen;
      HeaderLogoCenter;
      intScreenMode := 0;
  end else
  begin
      WindowState := wsNormal;
      HeaderLogoCenter;
      intScreenMode := 1;
  end;
end;

procedure TMainForm1.Image3MouseEnter(Sender: TObject);
begin
   panel3.color := TColor($00626262);
end;

procedure TMainForm1.Image3MouseLeave(Sender: TObject);
begin
   panel3.color := TColor($00333333);
end;

procedure TMainForm1.Image4Click(Sender: TObject);
begin
    WindowState := wsMinimized;
  HeaderLogoCenter;
end;

procedure TMainForm1.Image4MouseEnter(Sender: TObject);
begin
  panel4.color := TColor($00626262);
end;

procedure TMainForm1.Image4MouseLeave(Sender: TObject);
begin
  panel4.color := TColor($00333333);
end;

procedure TMainForm1.Image5MouseEnter(Sender: TObject);
begin
  panel5.color := TColor($00626262);
end;

procedure TMainForm1.Image5MouseLeave(Sender: TObject);
begin
  panel5.color := TColor($00333333);
end;

procedure TMainForm1.Label3Click(Sender: TObject);
var
  FrmNavStammdaten : TFrame;
begin
  // Alle Frames freigeben,
  giveNavFrameFree;

  // Frame aufrufen.
  FrmNavStammdaten := TFrame2.Create(Self);
  FrmNavStammdaten.Parent := PSubNavigation;
  FrmNavStammdaten.Top := 0;
  FrmNavStammdaten.left := 0;
  FrmNavStammdaten.name := 'NavVerwaltung';
end;

procedure TMainForm1.giveFrameFree;
begin
  TFrame1(FindComponent('Stammdaten')).Free;
end;

procedure TMainForm1.giveNavFrameFree;
begin
  TFrame2(FindComponent('NavVerwaltung')).Free;
end;

procedure TMainForm1.HeaderLogoCenter;
var
  int50Form1, int50Logo : integer;
begin
  int50Form1 := trunc(MainForm1.width / 2);
  int50Logo :=  trunc(LBLLogoImage.width / 2);
  LBLLogoImage.left :=  int50Form1 - int50Logo;
  LBLLogoText.left :=  LBLLogoImage.left + LBLLogoImage.width + 5;
end;

end.

